#ifndef ALIANALYSISTASKPT_H
#define ALIANALYSISTASKPT_H

// ROOT includes
#include <TChain.h>
#include <TList.h>
#include <TH1.h>

// AliRoot includes
#include "AliESDEvent.h"
#include "AliAnalysisTask.h"

class AliAnalysisTaskPt : public AliAnalysisTask {
 public:
  AliAnalysisTaskPt();
  AliAnalysisTaskPt(const char *name);
  virtual ~AliAnalysisTaskPt() {}
  
  virtual void   ConnectInputData(Option_t *);
  virtual void   CreateOutputObjects();
  virtual void   Exec(Option_t *option);
  virtual void   Terminate(Option_t *);
  virtual void SetDebugLevel(Int_t level) {fDebug = level;}
    
 private:
  Int_t         fDebug;        //  Debug flag
  TChain*       fChain;        //! chained files
  AliESDEvent*  fESD;          //! ESD
  TList*        fListOfHists;  //  Output list of histograms

  // Histograms
  TH1F*         fHistPt;       //  Pt spectrum
  TH1F*         fHistPtMC;     //  MC Pt spectrum
   
  ClassDef(AliAnalysisTaskPt, 1); // Analysis task for making a pT spectrum
};

#endif
